List a form's submissions
curl --request GET \
--url https://api.assembly.com/v1/forms/{id}/form-responses \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.assembly.com/v1/forms/{id}/form-responses"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.assembly.com/v1/forms/{id}/form-responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"clientId": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
"companyId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"createdAt": "<string>",
"creatorId": "<string>",
"data": "<string>",
"fields": {
"allowMultipleSubmissions": false,
"formDescription": "Tell us about your business so we can tailor onboarding.",
"formFieldIds": [
"q_abc123",
"q_def456"
],
"formFields": {},
"formName": "Client Intake Form",
"status": "pending",
"submissionDate": "2023-11-07T05:31:56Z",
"visibility": "requestedClients"
},
"filteredListIndexPkey": "<string>",
"formId": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"id": "<string>",
"identityId": "<string>",
"object": "<string>",
"owner": {
"id": "<string>",
"metadata": {
"avatarImageUrl": "<string>",
"companyAvatarUrl": "<string>",
"companyId": "<string>",
"companyName": "<string>",
"email": "<string>",
"fallbackColor": "<string>",
"familyName": "<string>",
"givenName": "<string>"
}
},
"previousAttributes": {},
"ref": "<string>",
"updatedAt": "<string>"
}
],
"nextToken": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}Forms
List a form's submissions
Lists the submissions (form responses) for a form, paginated. Optionally filter by completion status.
GET
/
v1
/
forms
/
{id}
/
form-responses
List a form's submissions
Authorizations
Path Parameters
Form ID
Query Parameters
Filter form responses by completion status
Available options:
pending, completed Maximum number of form responses to return
Pagination cursor returned by a previous call
⌘I